<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="" >
 	
	<sql id="condition_Nhywxmglwdxx">
		where 1=1
		<isNotEmpty prepend='AND' property='LIKExh'>
			(xh like '%$LIKExh$%'   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xh'>
			(xh = #xh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExmmc'>
			(xmmc like '%$LIKExmmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xmmc'>
			(xmmc = #xmmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExmbh'>
			(xmbh like '%$LIKExmbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xmbh'>
			(xmbh = #xmbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEwdlx'>
			(wdlx like '%$LIKEwdlx$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='wdlx'>
			(wdlx = #wdlx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEwdmc'>
			(wdmc like '%$LIKEwdmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='wdmc'>
			(wdmc = #wdmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEwdms'>
			(wdms like '%$LIKEwdms$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='wdms'>
			(wdms = #wdms# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEwdsclj'>
			(wdsclj like '%$LIKEwdsclj$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='wdsclj'>
			(wdsclj = #wdsclj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEwdscsj'>
			(wdscsj like '%$LIKEwdscsj$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='wdscsj'>
			(wdscsj = #wdscsj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEwdscdw'>
			(wdscdw like '%$LIKEwdscdw$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='wdscdw'>
			(wdscdw = #wdscdw# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEwdscr'>
			(wdscr like '%$LIKEwdscr$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='wdscr'>
			(wdscr = #wdscr# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjry'>
			(cjry like '%$LIKEcjry$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjry'>
			(cjry = #cjry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjrq'>
			(cjrq like '%$LIKEcjrq$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjrq'>
			(cjrq = #cjrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgry'>
			(xgry like '%$LIKExgry$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgry'>
			(xgry = #xgry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgrq'>
			(xgrq like '%$LIKExgrq$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgrq'>
			(xgrq = #xgrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbz'>
			(bz like '%$LIKEbz$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bz'>
			(bz = #bz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz1'>
			(kz1 like '%$LIKEkz1$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz1'>
			(kz1 = #kz1# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz2'>
			(kz2 like '%$LIKEkz2$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz2'>
			(kz2 = #kz2# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz3'>
			(kz3 like '%$LIKEkz3$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz3'>
			(kz3 = #kz3# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz4'>
			(kz4 like '%$LIKEkz4$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz4'>
			(kz4 = #kz4# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- add object -->
	<insert id="insert_Nhywxmglwdxx" parameterClass="java.util.Map">
		insert into 
		nhywxmglwdxx(
		<dynamic prepend=" ">  
			<isNotEmpty prepend=',' property='xh'>xh</isNotEmpty>
			<isNotEmpty prepend=',' property='xmmc'>xmmc</isNotEmpty>
			<isNotEmpty prepend=',' property='xmbh'>xmbh</isNotEmpty>
			<isNotEmpty prepend=',' property='wdlx'>wdlx</isNotEmpty>
			<isNotEmpty prepend=',' property='wdmc'>wdmc</isNotEmpty>
			<isNotEmpty prepend=',' property='wdms'>wdms</isNotEmpty>
			<isNotEmpty prepend=',' property='wdsclj'>wdsclj</isNotEmpty>
			<isNotEmpty prepend=',' property='wdscsj'>wdscsj</isNotEmpty>
			<isNotEmpty prepend=',' property='wdscdw'>wdscdw</isNotEmpty>
			<isNotEmpty prepend=',' property='wdscr'>wdscr</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>kz1</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>kz2</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>kz3</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>kz4</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) values ( 
	    ]]>  
	     <dynamic prepend=" "> 
			<isNotEmpty prepend=',' property='xh'>#xh#</isNotEmpty>
			<isNotEmpty prepend=',' property='xmmc'>#xmmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='xmbh'>#xmbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='wdlx'>#wdlx#</isNotEmpty>
			<isNotEmpty prepend=',' property='wdmc'>#wdmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='wdms'>#wdms#</isNotEmpty>
			<isNotEmpty prepend=',' property='wdsclj'>#wdsclj#</isNotEmpty>
			<isNotEmpty prepend=',' property='wdscsj'>#wdscsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='wdscdw'>#wdscdw#</isNotEmpty>
			<isNotEmpty prepend=',' property='wdscr'>#wdscr#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>#bz#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>#kz1#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>#kz2#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>#kz3#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>#kz4#</isNotEmpty>

		 </dynamic>  
	    <![CDATA[ 
	        ) 
	    ]]> 
	</insert>
	
	<!-- edit object  -->
	<update id="update_Nhywxmglwdxx" parameterClass="java.util.Map">
		update nhywxmglwdxx 
		<dynamic prepend="set ">   
			
			<isNotEmpty prepend=',' property='xmmc'>xmmc=#xmmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='xmbh'>xmbh=#xmbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='wdlx'>wdlx=#wdlx#</isNotEmpty>
			<isNotEmpty prepend=',' property='wdmc'>wdmc=#wdmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='wdms'>wdms=#wdms#</isNotEmpty>
			<isNotEmpty prepend=',' property='wdsclj'>wdsclj=#wdsclj#</isNotEmpty>
			<isNotEmpty prepend=',' property='wdscsj'>wdscsj=#wdscsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='wdscdw'>wdscdw=#wdscdw#</isNotEmpty>
			<isNotEmpty prepend=',' property='wdscr'>wdscr=#wdscr#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry=#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq=#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry=#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq=#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz=#bz#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>kz1=#kz1#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>kz2=#kz2#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>kz3=#kz3#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>kz4=#kz4#</isNotEmpty>

		</dynamic>
		where 1=1 
			<isNotEmpty prepend='AND' property='XGTJxh'> xh = #XGTJxh#</isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxmmc'> xmmc = #XGTJxmmc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxmbh'> xmbh = #XGTJxmbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJwdlx'> wdlx = #XGTJwdlx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJwdmc'> wdmc = #XGTJwdmc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJwdms'> wdms = #XGTJwdms# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJwdsclj'> wdsclj = #XGTJwdsclj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJwdscsj'> wdscsj = #XGTJwdscsj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJwdscdw'> wdscdw = #XGTJwdscdw# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJwdscr'> wdscr = #XGTJwdscr# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjry'> cjry = #XGTJcjry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjrq'> cjrq = #XGTJcjrq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxgry'> xgry = #XGTJxgry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxgrq'> xgrq = #XGTJxgrq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbz'> bz = #XGTJbz# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz1'> kz1 = #XGTJkz1# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz2'> kz2 = #XGTJkz2# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz3'> kz3 = #XGTJkz3# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz4'> kz4 = #XGTJkz4# </isNotEmpty>

	</update>
	
	<!-- delete object -->
	<delete id="delete_Nhywxmglwdxx" parameterClass="java.util.Map">
		delete from nhywxmglwdxx 
		where 1=1 
		<isNotEmpty prepend='AND' property='xh'> xh=#xh# </isNotEmpty>
		<isNotEmpty prepend='AND' property='xmbh'> xmbh=#xmbh# </isNotEmpty>
	</delete>
	
	<!-- batch delete object -->
	<delete id="batch_delete_Nhywxmglwdxx" parameterClass="java.util.Map">
		delete from nhywxmglwdxx 
		where 1=1
			<isNotEmpty prepend='AND' property='keyword'>
			key  in (#keyword#)
			</isNotEmpty>
	</delete>
	
	<!-- query objects by page-->
	<select id="query_Nhywxmglwdxx" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select 
			a.xh,xmmc,xmbh,wdlx,(select csmc from xtcl where csdl='nhywXmwdlx' and csdm=a.wdlx) as wdlxmc,
			wdmc,wdms,wdsclj,wdscsj,wdscdw,wdscr,
			a.cjry,a.cjrq,a.xgry,a.xgrq,a.bz,a.kz1,a.kz2,a.kz3,a.kz4 
		from nhywxmglwdxx a  
		<include refid="condition_Nhywxmglwdxx"/>		
	</select>
	
	<!-- query objects totalcount -->
	<select id="count_Nhywxmglwdxx" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from nhywxmglwdxx 
		<include refid="condition_Nhywxmglwdxx"/>			
	</select>
	
	<!-- batch add objects -->
	<insert id="batch_insert_Nhywxmglwdxx" parameterClass="java.util.List">
	 	<![CDATA[
          INSERT
      	]]>
      	<iterate conjunction=" " > 
			into nhywxmglwdxx(
			 <![CDATA[ 
				xh,xmmc,xmbh,wdlx,wdmc,wdms,wdsclj,wdscsj,wdscdw,wdscr,cjry,cjrq,xgry,xgrq,bz,kz1,kz2,kz3,kz4
			)values
			 ]]>  		 
			 <![CDATA[ 
				(
				#list[].xh#,#list[].xmmc#,#list[].xmbh#,#list[].wdlx#,#list[].wdmc#,#list[].wdms#,#list[].wdsclj#,#list[].wdscsj#,#list[].wdscdw#,#list[].wdscr#,#list[].cjry#,#list[].cjrq#,#list[].xgry#,#list[].xgrq#,#list[].bz#,#list[].kz1#,#list[].kz2#,#list[].kz3#,#list[].kz4#
				)
			]]>    
    	</iterate> 
	</insert>
</sqlMap>











